fields:
    name:
        label: Name
        span: full
        required: 1
        type: text
    slug:
        label: Slug
        span: auto
        preset:
            field: name
            type: slug
        type: text
    tagline:
        label: Tagline
        span: auto
        type: text
    reference:
        label: Reference
        span: auto
        type: text
    type:
        label: Type
        options:
            apartment: Apartment
            house: House
            new_property: 'New property'
            new_house: 'New house'
            land: Land
        showSearch: true
        span: auto
        type: dropdown
    category:
        label: Category
        options:
            buy: Buy
            rent: Rent
        showSearch: true
        span: auto
        type: dropdown
    status:
        label: Status
        options:
            sold: Sold
            rented: Rented
        emptyOption: None
        showSearch: true
        span: auto
        type: dropdown
    seller:
        label: Seller
        span: auto
        type: text
    price:
        label: Price
        span: auto
        type: number
    description:
        label: Description
        size: large
        span: full
        type: richeditor
tabs:
    fields:
        address:
            label: Address
            span: auto
            type: text
            tab: Address
        zipcode:
            label: Zipcode
            span: auto
            type: text
            tab: Address
        city:
            label: City
            span: auto
            type: text
            tab: Address
        country:
            label: Country
            span: auto
            type: text
            tab: Address
        energy_class:
            label: 'Energy Class'
            options:
                A: a
                B: b
                C: c
                D: d
                E: e
                F: f
                G: g
                H: h
                I: i
            showSearch: true
            span: auto
            type: dropdown
            tab: Properties
        thermal_class:
            label: 'Thermal insulation class'
            options:
                A: a
                B: b
                C: c
                D: d
                E: e
                F: f
                G: g
                H: h
                I: i
            showSearch: true
            span: auto
            type: dropdown
            tab: Properties
        size:
            label: 'Size (m2)'
            span: auto
            type: number
            tab: Properties
        year:
            label: 'Date picker'
            mode: date
            span: auto
            type: datepicker
            tab: Properties
        bedroom:
            label: 'Number of bedroom'
            span: auto
            type: number
            tab: Properties
        kitchen:
            label: 'Number of kitchen'
            span: auto
            type: number
            tab: Properties
        living_room:
            label: 'Number of living room'
            span: auto
            type: number
            tab: Properties
        bathroom:
            label: 'Number of bathroom'
            span: auto
            type: number
            tab: Properties
        shower_room:
            label: 'Number of shower room'
            span: auto
            type: number
            tab: Properties
        restroom:
            label: 'Number of restroom'
            span: auto
            type: number
            tab: Properties
        garden:
            label: 'Size of the garden'
            span: auto
            type: number
            tab: Properties
        open_parking:
            label: 'Open parking space'
            span: auto
            type: number
            tab: Properties
        closed_parking:
            label: 'Closed parking space'
            span: auto
            type: number
            tab: Properties
        basement:
            label: 'Basement (m2)'
            span: auto
            type: number
            tab: Properties
        terrace:
            label: 'Terrace (m2)'
            span: auto
            type: number
            tab: Properties
        balcony:
            label: Balcony
            span: auto
            type: number
            tab: Properties
        south_exposure:
            label: 'South exposure'
            span: auto
            type: checkbox
            tab: Properties
        swimming_pool:
            label: 'Swimming pool'
            span: auto
            type: checkbox
            tab: Properties
        project_gallery:
            label: Gallery
            span: full
            mode: image
            useCaption: true
            thumbOptions:
                mode: crop
                extension: auto
            imageWidth: '80'
            imageHeight: '80'
            type: fileupload
            tab: Images
